﻿<AML>
 <Item type="Method" id="055A2D6E75D04726BE8BFBED85055CF3" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			sop_VendorAutoComplete
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	To get Auto Complete Feature.
	
Hooks:
	Type:	Form	:	pop_vendor_invoice
	Event:	Form Event ( onLoad )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
$(document).ready(function() {

    var myInnovator = new Innovator();

    var vendorItem = myInnovator.newItem("vendor", "get");
    vendorItem.setAttribute("select", "name");
    vendorItem = vendorItem.apply();

    var vendor_names = "";
    for (var i = 0; i < vendorItem.getItemCount(); i++) {
        if (i !== 0) {
            vendor_names = vendor_names + ",";
        }
        vendor_names = vendor_names + vendorItem.getItemByIndex(i).getProperty("name", "");
    }
    var vendor_names_array = vendor_names.split(",");

    $('.pop_vendor').autocomplete({
        source: vendor_names_array
    });

    var projectItem = myInnovator.newItem("hr_project", "get");
    projectItem.setAttribute("select", "pr_project_code, pr_project_name");
    projectItem = projectItem.apply();

    var pr_project_code = "";
    var pr_project_name = "";

    var project_codes = "";
    var project_names = "";

    for (i = 0; i < projectItem.getItemCount(); i++) {
        if (i !== 0) {
            project_codes = project_codes + ",";
            project_names = project_names + ",";
        }

        pr_project_code = projectItem.getItemByIndex(i).getProperty("pr_project_code", "");
        pr_project_name = projectItem.getItemByIndex(i).getProperty("pr_project_name", "");
        project_codes = project_codes + pr_project_code;
        project_names = project_names + pr_project_name;
    }

    var project_codes_array = project_codes.split(",");
    var project_names_array = project_names.split(",");

    $('.acc_project_code').autocomplete({
        source: project_codes_array
    });

    $('.acc_project').autocomplete({
        source: project_names_array
    });
});]]></method_code>
  <method_type>JavaScript</method_type>
  <name>sop_VendorAutoComplete</name>
 </Item>
</AML>